diff --git a/dlls/quartz/tests/vmr9.c b/dlls/quartz/tests/vmr9.c
index 405f7ee89..a0ccb4898 100644
--- a/dlls/quartz/tests/vmr9.c
+++ b/dlls/quartz/tests/vmr9.c
@@ -3246,22 +3243,22 @@ static void test_renderless_formats(void)
         hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
         if (hr != S_OK)
         {
-            skip("Format %u (%#x), flags %#lx are not supported, hr %#lx.\n",
+            skip("Format %u (%#x), flags %#x are not supported, hr %#x.\n",
                     tests[i].format, tests[i].format, tests[i].flags, hr);
             IMemAllocator_Release(allocator);
             hr = IFilterGraph2_Disconnect(graph, &source.source.pin.IPin_iface);
-            ok(hr == S_OK, "Test %u: Got hr %#lx.\n", i, hr);
+            ok(hr == S_OK, "Test %u: Got hr %#x.\n", i, hr);
             hr = IFilterGraph2_Disconnect(graph, pin);
-            ok(hr == S_OK, "Test %u: Got hr %#lx.\n", i, hr);
+            ok(hr == S_OK, "Test %u: Got hr %#x.\n", i, hr);
             continue;
         }
         ok(!memcmp(&ret_props, &req_props, sizeof(req_props)), "Properties did not match.\n");
         hr = IMemAllocator_Commit(allocator);
-        ok(hr == S_OK, "Test %u: Got hr %#lx.\n", i, hr);
+        ok(hr == S_OK, "Test %u: Got hr %#x.\n", i, hr);
 
         hr = IVMRSurfaceAllocatorNotify9_AdviseSurfaceAllocator(notify, 0xabacab,
                 &presenter2.IVMRSurfaceAllocator9_iface);
-        ok(hr == VFW_E_WRONG_STATE, "Got hr %#lx.\n", hr);
+        ok(hr == VFW_E_WRONG_STATE, "Got hr %#x.\n", hr);
 
         ok(presenter.format == tests[i].format, "Test %u: Got format %u (%#x).\n",
                 i, presenter.format, presenter.format);
@@ -3269,31 +3266,31 @@ static void test_renderless_formats(void)
         test_renderless_present(&presenter, graph, input);
 
         hr = IMemAllocator_Decommit(allocator);
-        ok(hr == S_OK, "Test %u: Got hr %#lx.\n", i, hr);
+        ok(hr == S_OK, "Test %u: Got hr %#x.\n", i, hr);
         IMemAllocator_Release(allocator);
 
         hr = IFilterGraph2_Disconnect(graph, &source.source.pin.IPin_iface);
-        ok(hr == S_OK, "Test %u: Got hr %#lx.\n", i, hr);
+        ok(hr == S_OK, "Test %u: Got hr %#x.\n", i, hr);
         hr = IFilterGraph2_Disconnect(graph, pin);
-        ok(hr == S_OK, "Test %u: Got hr %#lx.\n", i, hr);
+        ok(hr == S_OK, "Test %u: Got hr %#x.\n", i, hr);
     }
 
     hr = IVMRSurfaceAllocatorNotify9_AdviseSurfaceAllocator(notify, 0xabacab, &presenter2.IVMRSurfaceAllocator9_iface);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     ref = IFilterGraph2_Release(graph);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     IMemInputPin_Release(input);
     IPin_Release(pin);
 
 out:
     IVMRSurfaceAllocatorNotify9_Release(notify);
     ref = IBaseFilter_Release(filter);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
-    ok(presenter.refcount == 1, "Got outstanding refcount %ld.\n", presenter.refcount);
-    ok(presenter2.refcount == 1, "Got outstanding refcount %ld.\n", presenter2.refcount);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
+    ok(presenter.refcount == 1, "Got outstanding refcount %d.\n", presenter.refcount);
+    ok(presenter2.refcount == 1, "Got outstanding refcount %d.\n", presenter2.refcount);
     ref = IDirect3DDevice9_Release(device);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     DestroyWindow(window);
 }
 
@@ -3323,32 +3320,32 @@ static void test_mixing_mode(void)
         IBaseFilter_QueryInterface(filter, &IID_IVMRFilterConfig9, (void **)&config);
 
         hr = IBaseFilter_QueryInterface(filter, &IID_IVMRMixerControl9, (void **)&mixer_control);
-        ok(hr == E_NOINTERFACE, "Got hr %#lx.\n", hr);
+        ok(hr == E_NOINTERFACE, "Got hr %#x.\n", hr);
 
         hr = IVMRFilterConfig9_GetNumberOfStreams(config, &stream_count);
-        ok(hr == VFW_E_VMR_NOT_IN_MIXER_MODE, "Got hr %#lx.\n", hr);
+        ok(hr == VFW_E_VMR_NOT_IN_MIXER_MODE, "Got hr %#x.\n", hr);
 
         hr = IVMRFilterConfig9_SetNumberOfStreams(config, 1);
-        ok(hr == S_OK, "Got hr %#lx.\n", hr);
+        ok(hr == S_OK, "Got hr %#x.\n", hr);
 
         hr = IVMRFilterConfig9_GetNumberOfStreams(config, &stream_count);
-        ok(hr == S_OK, "Got hr %#lx.\n", hr);
-        ok(stream_count == 1, "Got %lu streams.\n", stream_count);
+        ok(hr == S_OK, "Got hr %#x.\n", hr);
+        ok(stream_count == 1, "Got %u streams.\n", stream_count);
 
         hr = IBaseFilter_QueryInterface(filter, &IID_IVMRMixerControl9, (void **)&mixer_control);
-        ok(hr == S_OK, "Got hr %#lx.\n", hr);
+        ok(hr == S_OK, "Got hr %#x.\n", hr);
         IVMRMixerControl9_Release(mixer_control);
 
         hr = IVMRFilterConfig9_SetNumberOfStreams(config, 2);
-        ok(hr == VFW_E_WRONG_STATE, "Got hr %#lx.\n", hr);
+        ok(hr == VFW_E_WRONG_STATE, "Got hr %#x.\n", hr);
 
         hr = IVMRFilterConfig9_GetNumberOfStreams(config, &stream_count);
-        ok(hr == S_OK, "Got hr %#lx.\n", hr);
-        ok(stream_count == 1, "Got %lu streams.\n", stream_count);
+        ok(hr == S_OK, "Got hr %#x.\n", hr);
+        ok(stream_count == 1, "Got %u streams.\n", stream_count);
 
         IVMRFilterConfig9_Release(config);
         ref = IBaseFilter_Release(filter);
-        ok(!ref, "Got outstanding refcount %ld.\n", ref);
+        ok(!ref, "Got outstanding refcount %d.\n", ref);
     }
 
     filter = create_vmr9(VMR9Mode_Windowless);
@@ -3358,27 +3355,27 @@ static void test_mixing_mode(void)
     window = CreateWindowA("static", "quartz_test", WS_OVERLAPPEDWINDOW, 0, 0, 640, 480, 0, 0, 0, 0);
     ok(!!window, "Failed to create a window.\n");
     hr = IVMRWindowlessControl9_SetVideoClippingWindow(windowless_control, window);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVMRFilterConfig9_GetNumberOfStreams(config, &stream_count);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(stream_count == 4, "Got %lu streams.\n", stream_count);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(stream_count == 4, "Got %u streams.\n", stream_count);
 
     hr = IBaseFilter_QueryInterface(filter, &IID_IVMRMixerControl9, (void **)&mixer_control);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     IVMRMixerControl9_Release(mixer_control);
 
     hr = IVMRFilterConfig9_SetNumberOfStreams(config, 2);
-    ok(hr == VFW_E_WRONG_STATE, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_WRONG_STATE, "Got hr %#x.\n", hr);
 
     hr = IVMRFilterConfig9_GetNumberOfStreams(config, &stream_count);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(stream_count == 4, "Got %lu streams.\n", stream_count);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(stream_count == 4, "Got %u streams.\n", stream_count);
 
     IVMRWindowlessControl9_Release(windowless_control);
     IVMRFilterConfig9_Release(config);
     ref = IBaseFilter_Release(filter);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     DestroyWindow(window);
 }
 
@@ -3417,30 +3414,30 @@ static void test_clipping_window(void)
     ok(!!window, "Failed to create a window.\n");
 
     hr = IVMRWindowlessControl9_SetVideoClippingWindow(windowless_control, NULL);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IVMRWindowlessControl9_SetVideoClippingWindow(windowless_control, (HWND)0xdeadbeef);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
 
     hr = IFilterGraph2_ConnectDirect(graph, &source.source.pin.IPin_iface, pin, &mt);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVMRWindowlessControl9_SetVideoClippingWindow(windowless_control, window);
-    ok(hr == VFW_E_WRONG_STATE, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_WRONG_STATE, "Got hr %#x.\n", hr);
 
     hr = IFilterGraph2_Disconnect(graph, &source.source.pin.IPin_iface);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IFilterGraph2_Disconnect(graph, pin);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVMRWindowlessControl9_SetVideoClippingWindow(windowless_control, window);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     ref = IFilterGraph2_Release(graph);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     IPin_Release(pin);
     IVMRWindowlessControl9_Release(windowless_control);
     ref = IBaseFilter_Release(filter);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     DestroyWindow(window);
 }
 
@@ -3463,16 +3460,16 @@ static void test_surface_allocator_notify_refcount(void)
 
     hr = IVMRSurfaceAllocatorNotify9_AdviseSurfaceAllocator(notify, 0xabacab,
             &presenter.IVMRSurfaceAllocator9_iface);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     ref = IBaseFilter_Release(filter);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     ok(presenter.got_TerminateDevice == 1, "Got %u calls to TerminateDevice().\n",
             presenter.got_TerminateDevice);
-    ok(presenter.refcount == 1, "Got outstanding refcount %ld.\n", presenter.refcount);
+    ok(presenter.refcount == 1, "Got outstanding refcount %d.\n", presenter.refcount);
 
     ref = IVMRSurfaceAllocatorNotify9_Release(notify);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
 }
 
 static void check_source_position_(int line, IBasicVideo *video,
@@ -3483,31 +3480,31 @@ static void check_source_position_(int line, IBasicVideo *video,
 
     left = top = width = height = 0xdeadbeef;
     hr = IBasicVideo_GetSourcePosition(video, &left, &top, &width, &height);
-    ok_(__FILE__,line)(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok_(__FILE__,line)(left == expect_left, "Got left %ld.\n", left);
-    ok_(__FILE__,line)(top == expect_top, "Got top %ld.\n", top);
-    ok_(__FILE__,line)(width == expect_width, "Got width %ld.\n", width);
-    ok_(__FILE__,line)(height == expect_height, "Got height %ld.\n", height);
+    ok_(__FILE__,line)(hr == S_OK, "Got hr %#x.\n", hr);
+    ok_(__FILE__,line)(left == expect_left, "Got left %d.\n", left);
+    ok_(__FILE__,line)(top == expect_top, "Got top %d.\n", top);
+    ok_(__FILE__,line)(width == expect_width, "Got width %d.\n", width);
+    ok_(__FILE__,line)(height == expect_height, "Got height %d.\n", height);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_SourceLeft(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get left, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == left, "Got left %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get left, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == left, "Got left %d.\n", l);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_SourceTop(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get top, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == top, "Got top %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get top, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == top, "Got top %d.\n", l);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_SourceWidth(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get width, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == width, "Got width %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get width, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == width, "Got width %d.\n", l);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_SourceHeight(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get height, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == height, "Got height %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get height, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == height, "Got height %d.\n", l);
 }
 #define check_source_position(a,b,c,d,e) check_source_position_(__LINE__,a,b,c,d,e)
 
@@ -3517,77 +3514,77 @@ static void test_basic_video_source(IBasicVideo *video)
 
     check_source_position(video, 0, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_SourceLeft(video, -10);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceLeft(video, 10);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_SourceTop(video, -10);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceTop(video, 10);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_SourceWidth(video, -500);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceWidth(video, 0);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceWidth(video, 700);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceWidth(video, 500);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_source_position(video, 0, 0, 500, 400);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_SourceHeight(video, -300);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceHeight(video, 0);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceHeight(video, 600);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceHeight(video, 300);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_source_position(video, 0, 0, 500, 300);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_SourceLeft(video, -10);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceLeft(video, 10);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_source_position(video, 10, 0, 500, 300);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_SourceTop(video, -10);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceTop(video, 20);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_source_position(video, 10, 20, 500, 300);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_SetSourcePosition(video, 4, 5, 60, 40);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_source_position(video, 4, 5, 60, 40);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_SetSourcePosition(video, 0, 0, 600, 400);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_source_position(video, 0, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_SetSourcePosition(video, 4, 5, 60, 40);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IBasicVideo_SetDefaultSourcePosition(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_source_position(video, 0, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 }
 
 static void check_destination_position_(int line, IBasicVideo *video,
@@ -3598,31 +3595,31 @@ static void check_destination_position_(int line, IBasicVideo *video,
 
     left = top = width = height = 0xdeadbeef;
     hr = IBasicVideo_GetDestinationPosition(video, &left, &top, &width, &height);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get position, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(left == expect_left, "Got left %ld.\n", left);
-    ok_(__FILE__,line)(top == expect_top, "Got top %ld.\n", top);
-    ok_(__FILE__,line)(width == expect_width, "Got width %ld.\n", width);
-    ok_(__FILE__,line)(height == expect_height, "Got height %ld.\n", height);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get position, hr %#x.\n", hr);
+    ok_(__FILE__,line)(left == expect_left, "Got left %d.\n", left);
+    ok_(__FILE__,line)(top == expect_top, "Got top %d.\n", top);
+    ok_(__FILE__,line)(width == expect_width, "Got width %d.\n", width);
+    ok_(__FILE__,line)(height == expect_height, "Got height %d.\n", height);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_DestinationLeft(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get left, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == left, "Got left %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get left, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == left, "Got left %d.\n", l);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_DestinationTop(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get top, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == top, "Got top %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get top, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == top, "Got top %d.\n", l);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_DestinationWidth(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get width, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == width, "Got width %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get width, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == width, "Got width %d.\n", l);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_DestinationHeight(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get height, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == height, "Got height %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get height, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == height, "Got height %d.\n", l);
 }
 #define check_destination_position(a,b,c,d,e) check_destination_position_(__LINE__,a,b,c,d,e)
 
@@ -3636,107 +3633,107 @@ static void test_basic_video_destination(IBasicVideo *video)
 
     check_destination_position(video, 0, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationLeft(video, -10);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, -10, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationLeft(video, 10);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 10, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationTop(video, -20);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 10, -20, 600, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationTop(video, 20);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 10, 20, 600, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationWidth(video, -700);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_DestinationWidth(video, 0);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_DestinationWidth(video, 700);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 10, 20, 700, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationWidth(video, 500);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 10, 20, 500, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationHeight(video, -500);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_DestinationHeight(video, 0);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_DestinationHeight(video, 500);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 10, 20, 500, 500);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationHeight(video, 300);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 10, 20, 500, 300);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_SetDestinationPosition(video, 4, 5, 60, 40);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 4, 5, 60, 40);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_SetDestinationPosition(video, 0, 0, 600, 400);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 0, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_SetDestinationPosition(video, 4, 5, 60, 40);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IBasicVideo_SetDefaultDestinationPosition(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 0, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     SetRect(&rect, 100, 200, 500, 500);
     AdjustWindowRect(&rect, WS_OVERLAPPEDWINDOW, FALSE);
     hr = IVideoWindow_SetWindowPosition(window, rect.left, rect.top,
             rect.right - rect.left, rect.bottom - rect.top);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 0, 0, 400, 300);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_SetDestinationPosition(video, 0, 0, 400, 300);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 0, 0, 400, 300);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     SetRect(&rect, 100, 200, 600, 600);
     AdjustWindowRect(&rect, WS_OVERLAPPEDWINDOW, FALSE);
     hr = IVideoWindow_SetWindowPosition(window, rect.left, rect.top,
             rect.right - rect.left, rect.bottom - rect.top);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 0, 0, 400, 300);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     IVideoWindow_Release(window);
 }
@@ -3785,83 +3782,83 @@ static void test_basic_video(void)
     IPin_QueryInterface(pin, &IID_IMemInputPin, (void **)&input);
 
     hr = IBasicVideo_GetTypeInfoCount(video, &count);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(count == 1, "Got count %u.\n", count);
 
     hr = IBasicVideo_GetTypeInfo(video, 0, 0, &typeinfo);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = ITypeInfo_GetTypeAttr(typeinfo, &typeattr);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(typeattr->typekind == TKIND_DISPATCH, "Got kind %u.\n", typeattr->typekind);
     ok(IsEqualGUID(&typeattr->guid, &IID_IBasicVideo), "Got IID %s.\n", wine_dbgstr_guid(&typeattr->guid));
     ITypeInfo_ReleaseTypeAttr(typeinfo, typeattr);
     ITypeInfo_Release(typeinfo);
 
     hr = IBasicVideo_get_AvgTimePerFrame(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_AvgTimePerFrame(video, &reftime);
-    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_get_BitRate(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_BitRate(video, &l);
-    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_get_BitErrorRate(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_BitErrorRate(video, &l);
-    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_get_VideoWidth(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_VideoHeight(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_get_SourceLeft(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_SourceWidth(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_SourceTop(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_SourceHeight(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_get_DestinationLeft(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_DestinationWidth(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_DestinationTop(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_DestinationHeight(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_GetSourcePosition(video, NULL, &top, &width, &height);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetSourcePosition(video, &left, NULL, &width, &height);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetSourcePosition(video, &left, &top, NULL, &height);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetSourcePosition(video, &left, &top, &width, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_GetDestinationPosition(video, NULL, &top, &width, &height);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetDestinationPosition(video, &left, NULL, &width, &height);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetDestinationPosition(video, &left, &top, NULL, &height);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetDestinationPosition(video, &left, &top, &width, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_GetVideoSize(video, &width, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetVideoSize(video, NULL, &height);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_GetVideoPaletteEntries(video, 0, 1, NULL, &l);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetVideoPaletteEntries(video, 0, 1, &l, NULL);
-    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     testfilter_init(&source);
     IFilterGraph2_AddFilter(graph, &source.filter.IBaseFilter_iface, L"vmr9");
